using System;

internal sealed class Delegate802 : MulticastDelegate
{
	public extern bool Invoke(Type type_0, Type type_1);

	public static bool smethod_0(Type type_0, Type type_1, Delegate802 delegate802_1)
	{
		return delegate802_1(type_0, type_1);
	}

	public extern Delegate802(object object_0, IntPtr intptr_0);

	static Delegate802()
	{
		Class10.smethod_13(typeof(Delegate802).TypeHandle);
	}

	internal static Delegate802 delegate802_0;
}
